> For the complete documentation index, see [llms.txt](https://docs.kogno.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kogno.io/getting-started/whatsapp-configuration.md).

# WhatsApp Configuration

{% hint style="warning" %}
In order to configure this section, you must first follow these [WhatsApp instructions](https://developers.facebook.com/docs/whatsapp/cloud-api/get-started).
{% endhint %}

The WhatsApp configuration file is located at `config/platforms/whatsapp.rb`

```ruby
Kogno::Application.configure do |config|
  
  config.whatsapp.graph_url = "https://graph.facebook.com/v13.0/"
  config.whatsapp.phone_number_id = "<YOUR WHATSAPP PHONE NUMBER ID>"
  
  config.whatsapp.access_token = "YOUR_ACCESS_TOKEN"

  config.whatsapp.webhook_route = "/webhook_whatsapp"
  config.whatsapp.webhook_verify_token = "<YOUR_VERIFY_TOKEN>"

end
```

### Field Description

| Configuration                          | Description                                                                                                                                 |
| -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| config.whatsapp.graph\_url             | Facebook Graph Url                                                                                                                          |
| config.whatsapp.phone\_number\_id      | The Phone Number ID obtained in your Meta App Settings.                                                                                     |
| config.whatsapp.access\_token          | The Access Token obtained in your Meta App Settings.                                                                                        |
| config.whatsapp.webhook\_route         | The CallBack URL path where WhatsApp Platform will send notifications.                                                                      |
| config.whatsapp.webhook\_verify\_token | WhatsApp Platform token for [verification request](https://developers.facebook.com/docs/whatsapp/cloud-api/get-started#configure-webhooks). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kogno.io/getting-started/whatsapp-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
